rpm 4.15.1

Variables
rpmlib.h File Reference
I/O » Command Line API. | RPMRC.I/O » | Database API.Building & signing packages: » | Signature Tags API.Querying package headers: | I/O » | Header API.
`#include <rpm/rpmio.h>`
`#include <rpm/header.h>`
`#include <rpm/rpmtag.h>`
`#include <rpm/rpmds.h>`
`#include <rpm/rpmpgp.h>`
Include dependency graph for rpmlib.h:

Go to the source code of this file.

## Variables
struct rpmMacroContext_s * | rpmGlobalMacroContext
struct rpmMacroContext_s * | rpmCLIMacroContext
const char *const | RPMVERSION
const char *const | rpmNAME
const char *const | rpmEVR
const int | rpmFLAGS

## RPMRC
#define | RPM_MACHTABLE_COUNT 4
enum | rpm_machtable_e { RPM_MACHTABLE_INSTARCH = 0, RPM_MACHTABLE_INSTOS = 1, RPM_MACHTABLE_BUILDARCH = 2, RPM_MACHTABLE_BUILDOS = 3 }
int | rpmReadConfigFiles (const char *file, const char *target)
void | rpmGetArchInfo (const char **name, int *num)
int | rpmGetArchColor (const char *arch)
void | rpmGetOsInfo (const char **name, int *num)
int | rpmMachineScore (int type, const char *name)
int | rpmShowRC (FILE *fp)
void | rpmFreeRpmrc (void)
int | rpmVersionCompare (Header first, Header second)
| Compare headers to determine which header is "newer". More...
rpmRC | headerCheck (rpmts ts, const void *uh, size_t uc, char **msg)
rpmRC | rpmReadHeader (rpmts ts, FD_t fd, Header *hdrp, char **msg)
rpmRC | rpmReadPackageFile (rpmts ts, FD_t fd, const char *fn, Header *hdrp)
rpmRC | rpmInstallSourcePackage (rpmts ts, FD_t fd, char **specFilePtr, char **cookie)
int | rpmvercmp (const char *a, const char *b)

## Detailed Description

In Memoriam: Steve Taylor stayl.nosp@m.or@r.nosp@m.edhat.nosp@m..com was here, now he's not.

Definition in file rpmlib.h.

## Macro Definition Documentation

## ◆ RPM_MACHTABLE_COUNT

#define RPM_MACHTABLE_COUNT 4

No. of arch/os tables.

Definition at line 50 of file rpmlib.h.

## Function Documentation

## ◆ rpmInstallSourcePackage()

rpmRC rpmInstallSourcePackage | ( | rpmts | ts,
|  | FD_t | fd,
|  | char ** | specFilePtr,
|  | char ** | cookie
| ) |  |

Install source package.

Parameters

  ts | transaction set
  fd | file handle

Return values

  specFilePtr | address of spec file name (or NULL)
  cookie | address of cookie pointer (or NULL)

Returns
  rpmRC return code

## ◆ rpmvercmp()

int rpmvercmp | ( | const char * | a,
|  | const char * | b
| ) |  |

Segmented string compare for version or release strings.

Parameters

  a | 1st string
  b | 2nd string

Returns
  +1 if a is "newer", 0 if equal, -1 if b is "newer"

## ◆ rpmVersionCompare()

int rpmVersionCompare | ( | Header | first,
|  | Header | second
| ) |  |

Compare headers to determine which header is "newer".

Parameters

  first | 1st header
  second | 2nd header

Returns
  result of comparison

## Variable Documentation

## ◆ rpmCLIMacroContext

struct rpmMacroContext_s* rpmCLIMacroContext

## ◆ rpmEVR

const char* const rpmEVR

## ◆ rpmFLAGS

const int rpmFLAGS

## ◆ rpmGlobalMacroContext

struct rpmMacroContext_s* rpmGlobalMacroContext

## ◆ rpmNAME

const char* const rpmNAME

## ◆ RPMVERSION

const char* const RPMVERSION